> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get built-in PDF templates

GET https://api.sandbox.monite.com/v1/document_templates/system

This API call returns all supported system templates with language codes.

Reference: https://docs.monite.com/api/pdf-templates/get-document-templates-system

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `data` (list of TemplateReceivableResponse, optional)

## Errors

### 401 Get Document Templates System Request Unauthorized Error

The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls.

- `any`

### 422 Get Document Templates System Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 429 Get Document Templates System Request Too Many Requests Error

API rate limit has been exceeded. Check the response headers for the rate limit information.

- `any`

## Types

### TemplateReceivableResponse

- `id` (string, required)
- `document_type` (enum, required)
  - Allowed values: `receivable`, `delivery_note`, `purchase_order`, `payable`
- `is_default` (boolean, required)
- `language` (string, required)
- `name` (string, required)
- `template` (string, required)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)
- `blocks` (list of string, optional)
- `preview` (FileResponse, optional)
- `template_type` (enum, optional)
  - Allowed values: `block`, `source_object`

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### FileResponse

- `id` (string, required) — A unique ID assigned to this file.
- `created_at` (datetime, required) — Date and time when this file was uploaded to or created in Monite. Timestamps follow the ISO 8601 format.
- `updated_at` (datetime, required) — Date and time when this file was last updated in Monite. Timestamps follow the ISO 8601 format.
- `file_type` (string, required) — Possible values: * `additional_identity_documents` and `identity_documents` - [entity verification documents](https://docs.monite.com/payments/onboarding/via-api/documents) uploaded for payments onboarding. * `attachments` - supplementary attachments for accounts receivable invoices, quotes, and credit notes. * `delivery_notes` - auto-generated PDF versions of delivery notes. * `einvoices_xml` - e-invoice XML generated when sending e-invoices. * `payables` - payables (bills) received via email or uploaded via API. * `receivable_signatures` - images of customer signatures provided during quote acceptance. * `receivables` - auto-generated PDF versions of invoices, quotes, and credit notes. * `zip` - data export archives created by `POST /data_exports`.
- `md5` (string, required) — The MD5 hash of the file.
- `mimetype` (string, required) — The file's media type, for example, `application/pdf` or `image/png`.
- `name` (string, required) — The original file name (if available).
- `region` (string, required) — Geographical region of the data center where the file is stored.
- `s3_bucket` (string, required) — Unused.
- `s3_file_path` (string, required) — Unused.
- `size` (integer, required) — The file size in bytes.
- `url` (string, required) — The URL to download the file.

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "id",
      "document_type": "receivable",
      "is_default": true,
      "language": "language",
      "name": "name",
      "template": "template",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "blocks": [
        "blocks"
      ],
      "preview": {
        "id": "id",
        "created_at": "2024-01-15T09:30:00Z",
        "updated_at": "2024-01-15T09:30:00Z",
        "file_type": "file_type",
        "md5": "60997cbcc1a6fb2ec37d389ffa8588db",
        "mimetype": "application/pdf",
        "name": "timesheet.pdf",
        "region": "eu-central-1",
        "s3_bucket": "s3_bucket",
        "s3_file_path": "s3_file_path",
        "size": 120101,
        "url": "https://bucketname.s3.amazonaws.com/path/to/timesheet.pdf"
      },
      "template_type": "block"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/document_templates/system"

headers = {
    "x-monite-version": "2024-05-25",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/document_templates/system';
const options = {
  method: 'GET',
  headers: {
    'x-monite-version': '2024-05-25',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/document_templates/system"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-05-25")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/document_templates/system")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-05-25'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/document_templates/system")
  .header("x-monite-version", "2024-05-25")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/document_templates/system', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-05-25',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/document_templates/system");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-05-25");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-05-25",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/document_templates/system")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```